Subject: bug#46837: Makefile dependencies for info files

From: Michael Albinus <[email-masked]>
Date: Sun, 07 Mar 2021 18:22:16 +0100

Glenn Morris <[email-masked]> writes:

Hi Glenn,

> I can only repeat the advice in NEWS:
>
>   Please install makeinfo, or if all else fails run 'make lisp' instead
>   of 'make [all]'.

Installing makeinfo means installing texinfo, which needs installing TeX
(IIUC). That's a heavy load for a test run on emba.

Calling "make lisp" is not applicable, when we call "make
bootstrap". The latter one is broken for *everybody* who hasn't
installed makeinfo; the advice in etc/NEWS is useless.

> I do not and have never recommended "touch info/emacs", please forget
> this was ever mentioned.

I know, and it was just a try.

Best regards, Michael.